Bug 201041 - [bn]incorrect display of multiple conjunct glyphs
[bn]incorrect display of multiple conjunct glyphs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darshan Santani
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-02 10:15 EDT by Runa Bhattacharjee
Modified: 2013-03-03 21:20 EST (History)
2 users (show)

See Also:
Fixed In Version: fonts-bengali-2.0.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 04:05:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
picture of incorrect and correct display of the conjuncts (49.81 KB, image/png)
2006-08-02 10:15 EDT, Runa Bhattacharjee
no flags Details
Patch attached (6.24 KB, patch)
2006-08-08 07:10 EDT, Darshan Santani
no flags Details | Diff
Screenshot showing the expected behaviour (32.73 KB, image/png)
2006-08-08 07:12 EDT, Darshan Santani
no flags Details
lohit_bn.ttf (133.76 KB, application/octet-stream)
2006-08-08 07:15 EDT, Darshan Santani
no flags Details
Screenshot of correct shapes appearing now after fixed. (3.33 KB, image/png)
2006-09-01 04:03 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Runa Bhattacharjee 2006-08-02 10:15:36 EDT
Description of problem:
The following conjunct combinations are being displayed incorrectly:
1. U09A4+U09CD+U09A4
2. U09A4+U09CD+U09A5
3. U09A4+U09CD+U09A8
4. U09A4+U09CD+U09AE
5. U09A4+U09CD+U09A4+U09CD+U09AC
6. U09A4+U09CD+U09AE+U09CD+U09AF


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. log in to bn_IN locale from gdm
2. Start gedit
3. activate scim using crtl+space and choose bengali-probhat as the keymap
4. Type in the following key sequeces for the above mentioned conjuncts:
      1.f/f
      2. f/F
      3. f/n
      4. f/m
      5. f/f/b
      6. f/m/Z
  
Actual results:

The conjuncts are not displayed with the correct glyph. [glyph1.png=glyphs on
the left hand side]

Expected results:

The conjuncts should be displayed with the correct glyph. [glyph1.png=glyphs on
the right hand side]

Additional info:
Comment 1 Runa Bhattacharjee 2006-08-02 10:15:36 EDT
Created attachment 133481 [details]
picture of incorrect and correct display of the conjuncts
Comment 2 Darshan Santani 2006-08-08 07:10:10 EDT
Created attachment 133780 [details]
Patch attached

Patch has been attached to resolve the issue.
Comment 3 Darshan Santani 2006-08-08 07:12:42 EDT
Created attachment 133781 [details]
Screenshot showing the expected behaviour 

Attached screenshot showing the expected behaviour
Comment 4 Darshan Santani 2006-08-08 07:15:40 EDT
Created attachment 133782 [details]
lohit_bn.ttf

Runa, I am attaching the ttf file, Can you just test it with the modified file
and leave your comments. Thanks in advance.
Comment 5 Runa Bhattacharjee 2006-08-08 07:31:20 EDT
Tested.

Status: Fixed.

Thanks Darshan :)
Comment 6 Leon Ho 2006-08-17 03:19:16 EDT
built in fonts-indic-2.0.1-1
Comment 7 Satyabrata Maitra 2006-09-01 04:00:54 EDT
Problem has been fixed now. Pls check the screenshot of rightly appeared GSUBs.
I am closing this bug.

Component Version Tested :

fonts-bengali-2.0.1-1   Rawhide

Arch : i386.
Comment 8 Satyabrata Maitra 2006-09-01 04:03:48 EDT
Created attachment 135363 [details]
Screenshot of correct shapes appearing now after fixed.

Note You need to log in before you can comment on or make changes to this bug.